:root {
  --width-card-user: 190px;
  --scale-hover-card-user: 1.2;
}

.users {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(auto-fit, var(--width-card-user));
  gap: calc(20px * var(--scale-hover-card-user));
  width: 60%;
  padding: calc((var(--width-card-user) / var(--scale-hover-card-user)) / 2);
  height: 60dvh;
  overflow-y: auto;
}

.users .card {
  width: var(--width-card-user);
  height: 254px;
  background: var(--primary);
  transition: all 0.4s;
  border-radius: 10px;
  box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.705);
  font-size: 30px;
  font-weight: 900;
}

.users .card:hover {
  border-radius: 15px;
  cursor: pointer;
  transform: scale(var(--scale-hover-card-user));
  box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.705);
  background: var(--secondary);
}

.users .firstContent {
  height: 100%;
  width: 100%;
  transition: all 0.4s;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 1;
  border-radius: 15px;
}

.users .card:hover .firstContent {
  height: 0px;
  opacity: 0;
}

.users .secondContent {
  height: 0%;
  width: 100%;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 15px;
  transition: all 0.4s;
  font-size: 0px;
  transform: rotate(90deg) scale(-1);
}

.users .card:hover .secondContent {
  opacity: 1;
  height: 100%;
  font-size: 1rem;
  transform: rotate(0deg);
}
